@import "bulma.min.css";

@font-face {
    font-family: 'Fira Sans';
    src: url('fonts/FiraSans-Regular.woff2') format('woff2'), url('fonts/FiraSans-Regular.ttf') format('ttf');
}

@font-face {
    font-family: 'Fira Sans';
    src: url('fonts/FiraSans-Bold.woff2') format('woff2'), url('fonts/FiraSans-Bold.ttf') format('ttf');
    font-weight: bold;
}

@font-face {
    font-family: 'Fira Sans';
    src: url('fonts/FiraSans-Light.woff2') format('woff2'), url('fonts/FiraSans-Light.ttf') format('ttf');
    font-weight: 300;
}

@font-face {
    font-family: 'Fira Sans';
    src: url('fonts/FiraSans-Italic.woff2') format('woff2'), url('fonts/FiraSans-Italic.ttf') format('ttf');
    font-style: italic;
}

:root {
    --ameos-font: #646363;
    --ameos-primary-blue: #144995;
    --ameos-primary-orange: #ff7400;
    --ameos-accent-blue: #0085c8;
    --ameos-accent-yellow: #f9b000;
    --bulma-primary-h: 24.9deg;
    --bulma-primary-l: 50%;
    --bulma-link-h: 215deg;
    --bulma-link-s: 76%;
    --bulma-link-l: 33%;
    --bulma-info-h: 200deg;
    --bulma-info-l: 39%;
    --bulma-warning-h: 181deg;
    --bulma-scheme-h: 216.9;
    --bulma-scheme-s: 82.4%;
    --bulma-body-color: var(--ameos-font);
    --bulma-link-text: var(--ameos-primary-blue);
    --bulma-family-primary: Fira Sans, Inter, SF Pro, Segoe UI, Roboto, Oxygen, Ubuntu, Helvetica Neue, Helvetica, Arial, sans-serif;
    --bulma-family-secondary: Fira Sans, Inter, SF Pro, Segoe UI, Roboto, Oxygen, Ubuntu, Helvetica Neue, Helvetica, Arial, sans-serif;
    --bulma-family-code: Fira Sans, Inconsolata, Hack, SF Mono, Roboto Mono, Source Code Pro, Ubuntu Mono, monospace;
}

.title {
    --bulma-title-color: var(--ameos-primary-blue);
}

.subtitle {
    --bulma-subtitle-color: var(--ameos-accent-blue);
}


.footer {
    --bulma-footer-background-color: #144995;
    color: #ffffff;
    --bulma-link-text: #ffffff;
}

.footer a {
    text-decoration: underline;
}

.is-table-layout-fixed {
    table-layout: fixed;
}

.table, .table th, .table td {
    --bulma-table-color: var(--ameos-font);
    --bulma-table-cell-heading-color: var(--ameos-primary-blue);
    --bulma-table-cell-border-color: var(--ameos-primary-orange);
    --bulma-table-head-cell-color: var(--ameos-primary-blue);
}

.table td.observation_table_letter {
    --bulma-table-color: var(--ameos-primary-orange);
}

.letters_table_container {
    position: sticky;
    top: -1px;
    z-index: 9001;
}

.reference_range_table th, .reference_range_table td {
    --bulma-table-cell-border-style: 0;
}

.letter_td {
    --bulma-table-cell-padding: 0;
    transition: background-color 200ms linear;
}

.letter_td:hover {
    --bulma-table-cell-background-color: var(--ameos-primary-orange);
}

.letter_td a {
    display: block;
    width: 100%;
    height: 100%;
    padding: 0.5em 0.5em;
}

.letter_td.highlight {
    transition: background-color 200ms linear;
    --bulma-table-cell-background-color: var(--ameos-primary-orange);
}

.letters_row {
    border-bottom: 1px solid var(--bulma-table-cell-border-color);
}

.description h1 {
    font-size: 1.2em;
    font-weight: bold;
    margin: 1em 0 1em 0;
}


@media screen and (max-width: 1800px) {
    .letters_table_container {
        display: none;
    }
}